Page MenuHomePhabricator

1.35.0-wmf.22 deployment blockers
Closed, ResolvedPublicRelease

Details

Backup Conductor
brennen
Release Version
1.35.0-wmf.22
Release Date
Mar 2 2020, 12:00 AM

2020 week 10 1.35-wmf.22 Changes wmf/1.35.0-wmf.22

This MediaWiki Train Deployment is scheduled for the week of Monday, March 2nd:

Monday March 2ndTuesday, March 3rdWednesday, March 4thThursday, March 5thFriday
Backports only.Branch wmf.22 and deploy to Group 0 Wikis.Deploy wmf.22 to Group 1 Wikis.Deploy wmf.22 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.22 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.21
Next: 1.35.0-wmf.23

Event Timeline

mmodell created this task.Sep 25 2019, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 10:14 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: brennen.

Started cutting the branch for this week's train.

Group0 deployed earlier today, and looking OK so far.

Group1 deployed just now.

Rolles back due to T246898

Rolled forward to group1 again, after waiting for a wikidata edit spike from being over.

brennen moved this task from Backlog to In Progress on the User-brennen board.
brennen added a subscriber: brennen.
Jdforrester-WMF closed this task as Resolved.Mar 5 2020, 3:11 PM

Congratulations.